Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm.impl
Class JDBCConnection

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ddm.impl.JDBCConnection

    public class JDBCConnection

extends Object

Constructor Summary
`JDBCConnection(String jdbcConnectionString, String id, String password)`

Method Summary
`void` | `closeConnection()`
`void` | `closeStatements()`
`ResultSet` | `executeQuery(String query)`
`int` | `executeUpdate(String command)`
`Set<String>` | `getCatalogs()`
`Set<String>` | `getColumnNames(String schemaName, String tableName)`
`Set<Column>` | `getColumns(String schemaName, String tableName)`
`int` | `getColumnType(String schemaName, String tableName, String columnName)`
`String` | `getColumnTypeName(String schemaName, String tableName, String columnName)`
`Set<String>` | `getColumnTypeNames(String schemaName, String tableName)`
`static String` | `getConnectionString(String jdbcDriverName, String serverName, String databaseName, int portNumber)`
`String` | `getDatabaseProductName()`
`Map<String,Map<String,String>>` | `getForeignKeys(String schemaName, String tableName)` Returns a (possibly empty) map of maps of the form >.
`int` | `getMaxCatalogNameLength()`
`int` | `getMaxCharLiteralLength()`
`int` | `getMaxColumnNameLength()`
`int` | `getMaxRowSize()`
`int` | `getMaxSchemaNameLength()`
`int` | `getMaxTableNameLength()`
`Set<String>` | `getPrimaryKeyColumnNames(String schemaName, String tableName)`
`Set<String>` | `getSchemaNames()`
`Set<String>` | `getTableNames(String schemaName)`
`String` | `getUserName()`
`static void` | `loadDrivers(String jdbcDriverName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCConnection

    public JDBCConnection(String jdbcConnectionString,
                          String id,
                          String password)
                   throws SQLException

Throws:
  `SQLException`

Method Detail

### getConnectionString

    public static String getConnectionString(String jdbcDriverName,
                                             String serverName,
                                             String databaseName,
                                             int portNumber)
                                      throws SQLException

  Throws:
    `SQLException`

### loadDrivers

    public static void loadDrivers(String jdbcDriverName)
                            throws SQLException

  Throws:
    `SQLException`

### executeQuery

    public ResultSet executeQuery(String query)
                           throws SQLException

  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String command)
                      throws SQLException

  Throws:
    `SQLException`

### getMaxColumnNameLength

    public int getMaxColumnNameLength()
                               throws SQLException

  Throws:
    `SQLException`

### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()
                                throws SQLException

  Throws:
    `SQLException`

### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()
                                throws SQLException

  Throws:
    `SQLException`

### getDatabaseProductName

    public String getDatabaseProductName()
                                  throws SQLException

  Throws:
    `SQLException`

### getMaxRowSize

    public int getMaxRowSize()
                      throws SQLException

  Throws:
    `SQLException`

### getMaxTableNameLength

    public int getMaxTableNameLength()
                              throws SQLException

  Throws:
    `SQLException`

### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()
                               throws SQLException

  Throws:
    `SQLException`

### getUserName

    public String getUserName()
                       throws SQLException

  Throws:
    `SQLException`

### getCatalogs

    public Set<String> getCatalogs()
                            throws SQLException

  Throws:
    `SQLException`

### getSchemaNames

    public Set<String> getSchemaNames()
                               throws SQLException

  Throws:
    `SQLException`

### getTableNames

    public Set<String> getTableNames(String schemaName)
                              throws SQLException

  Throws:
    `SQLException`

### getPrimaryKeyColumnNames

    public Set<String> getPrimaryKeyColumnNames(String schemaName,
                                                String tableName)
                                         throws SQLException

  Throws:
    `SQLException`

### getForeignKeys

    public Map<String,Map<String,String>> getForeignKeys(String schemaName,
                                                         String tableName)
                                                  throws SQLException

  Returns a (possibly empty) map of maps of the form >. The referencedSchemaTableName string will be of the form

  Throws:
    `SQLException`

### closeConnection

    public void closeConnection()
                         throws SQLException

  Throws:
    `SQLException`

### closeStatements

    public void closeStatements()
                         throws SQLException

  Throws:
    `SQLException`

### getColumnTypeName

    public String getColumnTypeName(String schemaName,
                                    String tableName,
                                    String columnName)
                             throws SQLException

  Throws:
    `SQLException`

### getColumnType

    public int getColumnType(String schemaName,
                             String tableName,
                             String columnName)
                      throws SQLException

  Throws:
    `SQLException`

### getColumnTypeNames

    public Set<String> getColumnTypeNames(String schemaName,
                                          String tableName)
                                   throws SQLException

  Throws:
    `SQLException`

### getColumns

    public Set<Column> getColumns(String schemaName,
                                  String tableName)
                           throws SQLException

  Throws:
    `SQLException`

### getColumnNames

    public Set<String> getColumnNames(String schemaName,
                                      String tableName)
                               throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.